Package it.ernytech.tdlib

## Class TdApi.Photo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Photo

Enclosing class:
  TdApi

    public static class TdApi.Photo
    extends TdApi.Object

Describes a photo.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `hasStickers` True, if stickers were added to the photo.
`long` `id` Photo identifier; 0 for deleted photos.
`TdApi.PhotoSize[]` `sizes` Available variants of the photo, in different sizes.

### Constructor Summary

Constructors
`Photo()` Default constructor.
`Photo​(long id, boolean hasStickers, TdApi.PhotoSize[] sizes)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Photo identifier; 0 for deleted photos.

#### hasStickers

    public boolean hasStickers

True, if stickers were added to the photo.

#### sizes

    public TdApi.PhotoSize[] sizes

Available variants of the photo, in different sizes.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Photo

    public Photo()

Default constructor.

#### Photo

    public Photo​(long id,
                 boolean hasStickers,
                 TdApi.PhotoSize[] sizes)

Constructor for initialization of all fields.

Parameters:
  `id` - Photo identifier; 0 for deleted photos.
  `hasStickers` - True, if stickers were added to the photo.
  `sizes` - Available variants of the photo, in different sizes.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR